---
title: StylePropertyMapReadOnly.forEach()
slug: Web/API/StylePropertyMapReadOnly/forEach
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Method
  - Reference
  - StylePropertyMapReadOnly
  - forEach()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>StylePropertyMapReadOnly.forEach()</code></strong> method executes a provided function once for each element of {{domxref('StylePropertyMapReadOnly')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>StylePropertyMapReadOnly</var>.forEach(function <var>callback(currentValue[, index[, array]]) {
    //your code
}</var>[, <var>thisArg</var>]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>callback</code></dt>
 <dd>The function to execute for each element, taking three arguments:
 <dl>
  <dt><code>currentValue</code></dt>
  <dd>The value of the current element being processed.</dd>
  <dt><code>index</code>{{optional_inline}}</dt>
  <dd>The index of the current element being processed.</dd>
  <dt><code>array</code>{{optional_inline}}</dt>
  <dd>The StylePropertyMapReadOnly that<code>forEach()</code> is being called on.</dd>
 </dl>
 </dd>
 <dt><code>thisArg</code> {{Optional_inline}}</dt>
 <dd>
 <p>Value to use as <code><strong>this</strong></code> (i.e the reference <code>Object</code>) when executing <code>callback</code>.</p>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h2 id="Example">Example</h2>

<p>Here is an example of using <code>forEach()</code> on a retrieved {{domxref('Element.computedStyleMap()')}}.</p>

<pre class="brush: js notranslate">// get a button element
const buttonEl = document.querySelector('.example');

// we can retrieve all computed styles with `computedStyleMap`
const allComputedStyles = buttonEl.computedStyleMap();

// forEach will allow us to run code over each prop/val pair
allComputedStyles.forEach((elem, index, arr) =&gt; {
  // oode to run for each pair
})
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#the-stylepropertymap','forEach()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMapReadOnly.forEach")}}</p>
